--- old/usr/src/tools/smatch/src/smatch_scripts/kchecker	Mon Nov 18 13:19:27 2019
+++ new/usr/src/tools/smatch/src/smatch_scripts/kchecker	Mon Nov 18 13:19:27 2019
@@ -70,4 +70,11 @@
     rm -f $oname
 fi
 
-make C=2 $ENDIAN CHECK="$PRE $CMD $POST" $oname
+if [[ ! -z $ARCH ]]; then
+	KERNEL_ARCH="ARCH=$ARCH"
+fi
+if [[ ! -z $CROSS_COMPILE ]] ; then
+	KERNEL_CROSS_COMPILE="CROSS_COMPILE=$CROSS_COMPILE"
+fi
+
+make $KERNEL_CROSS_COMPILE $KERNEL_ARCH C=2 $ENDIAN CHECK="$PRE $CMD $POST" $oname
